Name: ca_DFN-SLCS
Version: 1.56
Release: 1
Source: ca_DFN-SLCS-1.56.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_DFN-SLCS-1.56/a02131f7.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for slcs accredited authority DFN-SLCS

%if %([ -n "https://www.pki.dfn.de/grid/slcs/" ] && echo 1 || echo 0)
URL: https://www.pki.dfn.de/grid/slcs/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_DFN-SLCS-1.56

%description
This is the trust anchor for the slcs accredited authority DFN-SLCS.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

